void comparison_v0_v1(){

  TCanvas* c1 = new TCanvas("c1", "c1", 600, 600);
  c1->SetRightMargin(0.1);
  c1->SetLeftMargin(0.2);
  c1->SetBottomMargin(0.18);
  c1->SetTopMargin(0.1);
  c1->SetGrid();
  c1->SetGridx();
  c1->SetGridy();
  c1->Draw("");
  c1->cd();

  ifstream input1_m("txt/190415Chip0Delay0Vcon.txt"); // mass production chip
  ifstream input2_m("txt/190415Chip0Delay47Vcon.txt"); // mass production chip

  ifstream input1_p("../../Prototype_Measurements/Plot/190411A5Delay0Vcon.txt"); // prototype
  ifstream input2_p("../../Prototype_Measurements/Plot/190411A5Delay47Vcon.txt"); // prototype

  float x[999], x_err[999];
  float y1[999], y_err1[999];
  float y2[999], y_err2[999];
  float diffy_m[999], diffy_err_m[999];
  float diffy_p[999], diffy_err_p[999];

  for(int i = 0; i < 11; i++){
    x[i]=i*0.1+0.7;
    x_err[i]=0;
  }

  for(int i = 0; i < 11; i++){
    input1_m >> y1[i] >> y_err1[i];
    y1[i] = y1[i]*1e9;
    y_err1[i]=y_err1[i]*1e9;
    input2_m >> y2[i] >> y_err2[i];
    y2[i] = y2[i]*1e9;
    y_err2[i]=y_err2[i]*1e9;
    diffy_m[i] = (y2[i]-y1[i])/47;
    diffy_err_m[i] = sqrt(y_err1[i]*y_err1[i]+y_err2[i]*y_err2[i]) / 47;
  }

  for(int i = 0; i < 11; i++){
    input1_p >> y1[i] >> y_err1[i];
    y1[i] = y1[i]*1e9;
    y_err1[i]=y_err1[i]*1e9;
    input2_p >> y2[i] >> y_err2[i];
    y2[i] = y2[i]*1e9;
    y_err2[i]=y_err2[i]*1e9;
    diffy_p[i] = (y2[i]-y1[i])/47;
    diffy_err_p[i] = sqrt(y_err1[i]*y_err1[i]+y_err2[i]*y_err2[i]) / 47;
  }

  TGraphErrors* graph_m = new TGraphErrors(11, x, diffy_m, 0, diffy_err_m);
  graph_m -> SetMarkerStyle(22);
  graph_m -> SetMarkerColor(2);
  graph_m -> SetTitle(";V_{CON} [V];Delay [ns];");
  graph_m -> GetXaxis()->SetLimits(0.6,1.8);
  graph_m -> GetYaxis()->SetRangeUser(0,3.5);
  graph_m -> GetYaxis()->SetNdivisions(510);
  graph_m -> GetXaxis()->SetTitleSize(0.06);
  graph_m -> GetYaxis()->SetTitleSize(0.06);
  graph_m -> GetXaxis()->SetLabelSize(0.045);
  graph_m -> GetXaxis()->SetLabelOffset(0.015);
  graph_m -> GetYaxis()->SetLabelSize(0.045);
  graph_m -> GetYaxis()->SetLabelOffset(0.015);
  graph_m -> GetXaxis()->SetTitleOffset(1.3);
  graph_m -> GetYaxis()->SetTitleOffset(1.3);
  graph_m -> Draw("AP");

  TGraphErrors* graph_p = new TGraphErrors(11, x, diffy_p, 0, diffy_err_p);
  graph_p -> SetMarkerStyle(20);
  graph_p -> SetMarkerColor(4);
  graph_p -> Draw("PSAME");

  c1 -> Print("fig/comparison_v0_v1.png");
  c1 -> Print("fig/comparison_v0_v1.pdf");
  c1 -> Print("fig/comparison_v0_v1.eps");

  gROOT -> ProcessLine(".q");

  return;

}
