void comparison_v1_chips(){

  TCanvas* c1 = new TCanvas("c1", "c1", 600, 600);
  c1->SetRightMargin(0.1);
  c1->SetLeftMargin(0.2);
  c1->SetBottomMargin(0.18);
  c1->SetTopMargin(0.1);
  c1->SetGrid();
  c1->SetGridx();
  c1->SetGridy();
  c1->Draw("");
  c1->cd();

  ifstream input0_chip0("txt/190415Chip0Delay0Vcon.txt");
  ifstream input47_chip0("txt/190415Chip0Delay47Vcon.txt");

  ifstream input0_chip1("txt/190418Chip1Delay0Vcon.txt");
  ifstream input47_chip1("txt/190418Chip1Delay47Vcon.txt");

  ifstream input0_chip2("txt/190418Chip2Delay0Vcon.txt");
  ifstream input47_chip2("txt/190418Chip2Delay47Vcon.txt");

  ifstream input0_chip3("txt/190418Chip3Delay0Vcon.txt");
  ifstream input47_chip3("txt/190418Chip3Delay47Vcon.txt");

  ifstream input0_chip4("txt/190418Chip4Delay0Vcon.txt");
  ifstream input47_chip4("txt/190418Chip4Delay47Vcon.txt");

  ifstream input0_chip5("txt/190418Chip5Delay0Vcon.txt");
  ifstream input47_chip5("txt/190418Chip5Delay47Vcon.txt");

  ifstream input0_chip6("txt/190418Chip6Delay0Vcon.txt");
  ifstream input47_chip6("txt/190418Chip6Delay47Vcon.txt");

  ifstream input0_chip7("txt/190418Chip7Delay0Vcon.txt");
  ifstream input47_chip7("txt/190418Chip7Delay47Vcon.txt");

  ifstream input0_chip8("txt/190418Chip8Delay0Vcon.txt");
  ifstream input47_chip8("txt/190418Chip8Delay47Vcon.txt");

  ifstream input0_chip9("txt/190418Chip9Delay0Vcon.txt");
  ifstream input47_chip9("txt/190418Chip9Delay47Vcon.txt");

  float x[999], x_err[999];

  float y0[999], y0_err[999];
  float y47[999], y47_err[999];

  float ydiff[10][999], ydiff_err[10][999]; // [Chip ID][Vcon ID]

  for(int i = 0; i < 11; i++){
    x[i]=i*0.1+0.7;
    x_err[i]=0;
  }

  for(int a = 0; a < 10; a++){

    for(int i = 0; i < 11; i++){

      if(a == 0) { input0_chip0 >> y0[i] >> y0_err[i]; input47_chip0 >> y47[i] >> y47_err[i]; }
      if(a == 1) { input0_chip1 >> y0[i] >> y0_err[i]; input47_chip1 >> y47[i] >> y47_err[i]; }
      if(a == 2) { input0_chip2 >> y0[i] >> y0_err[i]; input47_chip2 >> y47[i] >> y47_err[i]; }
      if(a == 3) { input0_chip3 >> y0[i] >> y0_err[i]; input47_chip3 >> y47[i] >> y47_err[i]; }
      if(a == 4) { input0_chip4 >> y0[i] >> y0_err[i]; input47_chip4 >> y47[i] >> y47_err[i]; }
      if(a == 5) { input0_chip5 >> y0[i] >> y0_err[i]; input47_chip5 >> y47[i] >> y47_err[i]; }
      if(a == 6) { input0_chip6 >> y0[i] >> y0_err[i]; input47_chip6 >> y47[i] >> y47_err[i]; }
      if(a == 7) { input0_chip7 >> y0[i] >> y0_err[i]; input47_chip7 >> y47[i] >> y47_err[i]; }
      if(a == 8) { input0_chip8 >> y0[i] >> y0_err[i]; input47_chip8 >> y47[i] >> y47_err[i]; }
      if(a == 9) { input0_chip9 >> y0[i] >> y0_err[i]; input47_chip9 >> y47[i] >> y47_err[i]; }

      y0[i] = y0[i] * 1e9;
      y0_err[i] = y0_err[i] * 1e9;

      y47[i] = y47[i] * 1e9;
      y47_err[i] = y47_err[i] * 1e9;

      ydiff[a][i] = (y47[i] - y0[i]) / 47;
      ydiff_err[a][i] = sqrt(y0_err[i]*y0_err[i] + y47_err[i]*y47_err[i]) / 47;

    }

  }

  ofstream output = "fig/comparison_v1_chips.txt";
  TH1F *hist_vcon07 = new TH1F("hist", "hist", 100, 0, 2.5);
  TH1F *hist_vcon17 = new TH1F("hist", "hist", 100, 0, 2.5);
  for(int a = 0; a < 10; a++) { hist_vcon07 -> Fill(ydiff[a][0]); hist_vcon17 -> Fill(ydiff[a][10]); }
  output << "Standard deviation for Vcon = 0.7 V: " << hist_vcon07 -> GetRMS() << " [ns]" << endl;
  output << "Standard deviation for Vcon = 1.7 V: " << hist_vcon17 -> GetRMS() << " [ns]" << endl;

  TGraphErrors* graph_chip0 = new TGraphErrors(11, x, ydiff[0], 0, ydiff_err[0]);
  TGraphErrors* graph_chip1 = new TGraphErrors(11, x, ydiff[1], 0, ydiff_err[1]);
  TGraphErrors* graph_chip2 = new TGraphErrors(11, x, ydiff[2], 0, ydiff_err[2]);
  TGraphErrors* graph_chip3 = new TGraphErrors(11, x, ydiff[3], 0, ydiff_err[3]);
  TGraphErrors* graph_chip4 = new TGraphErrors(11, x, ydiff[4], 0, ydiff_err[4]);
  TGraphErrors* graph_chip5 = new TGraphErrors(11, x, ydiff[5], 0, ydiff_err[5]);
  TGraphErrors* graph_chip6 = new TGraphErrors(11, x, ydiff[6], 0, ydiff_err[6]);
  TGraphErrors* graph_chip7 = new TGraphErrors(11, x, ydiff[7], 0, ydiff_err[7]);
  TGraphErrors* graph_chip8 = new TGraphErrors(11, x, ydiff[8], 0, ydiff_err[8]);
  TGraphErrors* graph_chip9 = new TGraphErrors(11, x, ydiff[9], 0, ydiff_err[9]);

  graph_chip0 -> SetTitle(";V_{CON} [V];Delay [ns];");
  graph_chip0 -> GetXaxis()->SetLimits(0.6,1.8);
  graph_chip0 -> GetYaxis()->SetRangeUser(0,2.5);
  graph_chip0 -> GetYaxis()->SetNdivisions(510);
  graph_chip0 -> GetXaxis()->SetTitleSize(0.06);
  graph_chip0 -> GetYaxis()->SetTitleSize(0.06);
  graph_chip0 -> GetXaxis()->SetLabelSize(0.045);
  graph_chip0 -> GetXaxis()->SetLabelOffset(0.015);
  graph_chip0 -> GetYaxis()->SetLabelSize(0.045);
  graph_chip0 -> GetYaxis()->SetLabelOffset(0.015);
  graph_chip0 -> GetXaxis()->SetTitleOffset(1.3);
  graph_chip0 -> GetYaxis()->SetTitleOffset(1.3);

  graph_chip0 -> SetMarkerStyle(4); graph_chip0 -> SetMarkerColor(1); graph_chip0 -> SetLineColor(1);
  graph_chip1 -> SetMarkerStyle(4); graph_chip1 -> SetMarkerColor(2); graph_chip1 -> SetLineColor(2);
  graph_chip2 -> SetMarkerStyle(4); graph_chip2 -> SetMarkerColor(3); graph_chip2 -> SetLineColor(3);
  graph_chip3 -> SetMarkerStyle(4); graph_chip3 -> SetMarkerColor(4); graph_chip3 -> SetLineColor(4);
  graph_chip4 -> SetMarkerStyle(4); graph_chip4 -> SetMarkerColor(5); graph_chip4 -> SetLineColor(5);
  graph_chip5 -> SetMarkerStyle(4); graph_chip5 -> SetMarkerColor(6); graph_chip5 -> SetLineColor(6);
  graph_chip6 -> SetMarkerStyle(4); graph_chip6 -> SetMarkerColor(7); graph_chip6 -> SetLineColor(7);
  graph_chip7 -> SetMarkerStyle(4); graph_chip7 -> SetMarkerColor(8); graph_chip7 -> SetLineColor(8);
  graph_chip8 -> SetMarkerStyle(4); graph_chip8 -> SetMarkerColor(9); graph_chip8 -> SetLineColor(9);
  graph_chip9 -> SetMarkerStyle(4); graph_chip9 -> SetMarkerColor(28); graph_chip9 -> SetLineColor(28);

  graph_chip0 -> Draw("AP");
  graph_chip1 -> Draw("PSAME");
  graph_chip2 -> Draw("PSAME");
  graph_chip3 -> Draw("PSAME");
  graph_chip4 -> Draw("PSAME");
  graph_chip5 -> Draw("PSAME");
  graph_chip6 -> Draw("PSAME");
  graph_chip7 -> Draw("PSAME");
  graph_chip8 -> Draw("PSAME");
  graph_chip9 -> Draw("PSAME");

  TLegend *leg = new TLegend(0.65, 0.40, 0.85, 0.85);
  leg -> AddEntry(graph_chip0, "Chip 0", "ep");
  leg -> AddEntry(graph_chip1, "Chip 1", "ep");
  leg -> AddEntry(graph_chip2, "Chip 2", "ep");
  leg -> AddEntry(graph_chip3, "Chip 3", "ep");
  leg -> AddEntry(graph_chip4, "Chip 4", "ep");
  leg -> AddEntry(graph_chip5, "Chip 5", "ep");
  leg -> AddEntry(graph_chip6, "Chip 6", "ep");
  leg -> AddEntry(graph_chip7, "Chip 7", "ep");
  leg -> AddEntry(graph_chip8, "Chip 8", "ep");
  leg -> AddEntry(graph_chip9, "Chip 9", "ep");
  leg -> Draw();

  c1 -> Print("fig/comparison_v1_chips.png");
  c1 -> Print("fig/comparison_v1_chips.pdf");
  c1 -> Print("fig/comparison_v1_chips.eps");

  gROOT -> ProcessLine(".q");

  return;

}
