void comparison_v1_sim(){

  TCanvas* c1 = new TCanvas("c1", "c1", 600, 600);
  c1->SetRightMargin(0.1);
  c1->SetLeftMargin(0.2);
  c1->SetBottomMargin(0.18);
  c1->SetTopMargin(0.1);
  c1->SetGrid();
  c1->SetGridx();
  c1->SetGridy();
  c1->Draw("");
  c1->cd();

  ifstream input1("txt/190415Chip0Delay0Vcon.txt"); // mass production chip
  ifstream input2("txt/190415Chip0Delay47Vcon.txt"); // mass production chip

  ifstream input_sim("txt/simulation.txt"); // simulation

  float x[999], x_err[999];
  float y1[999], y_err1[999];
  float y2[999], y_err2[999];
  float diffy[999], diffy_err[999];

  float x_sim[999], x_err_sim[999];
  float diffy_ttrt[999], diffy_err_ttrt[999];
  float diffy_ssht[999], diffy_err_ssht[999];
  float diffy_sslt[999], diffy_err_sslt[999];
  float diffy_ffht[999], diffy_err_ffht[999];
  float diffy_fflt[999], diffy_err_fflt[999];

  string dump;

  for(int i = 0; i < 10; i++){

    x[i] = i*0.1+0.7;
    x_err[i] = 0;

    input1 >> y1[i] >> y_err1[i];
    y1[i] = y1[i]*1e9;
    y_err1[i] = y_err1[i]*1e9;
    input2 >> y2[i] >> y_err2[i];
    y2[i] = y2[i]*1e9;
    y_err2[i] = y_err2[i]*1e9;
    diffy[i] = (y2[i]-y1[i])/47;
    diffy_err[i] = sqrt(y_err1[i]*y_err1[i]+y_err2[i]*y_err2[i]) / 47;

  }

  for(int i = 0; i < 11; i++) input_sim >> dump;

  for(int i = 0; i < 19; i++){

    input_sim >> x_sim[i] >> diffy_ttrt[i] >> diffy_ssht[i] >> diffy_sslt[i] >> diffy_ffht[i] >> diffy_fflt[i];

    diffy_ttrt[i] *= 1e9;
    diffy_ssht[i] *= 1e9;
    diffy_sslt[i] *= 1e9;
    diffy_ffht[i] *= 1e9;
    diffy_fflt[i] *= 1e9;

    x_err_sim[i] = 0;
    diffy_err_ttrt[i] = 0;
    diffy_err_ssht[i] = 0;
    diffy_err_sslt[i] = 0;
    diffy_err_ffht[i] = 0;
    diffy_err_fflt[i] = 0;

  }

  TGraphErrors* graph = new TGraphErrors(10, x, diffy, x_err, diffy_err);
  graph -> SetMarkerStyle(20);
  graph -> SetMarkerColor(1);
  graph -> SetMarkerSize(1.2);
  graph -> SetTitle(";V_{CON} [V];Delay [ns];");
  graph -> GetXaxis()->SetLimits(0.6,1.7);
  graph -> GetYaxis()->SetRangeUser(0,2.5);
  graph -> GetYaxis()->SetNdivisions(510);
  graph -> GetXaxis()->SetTitleSize(0.06);
  graph -> GetYaxis()->SetTitleSize(0.06);
  graph -> GetXaxis()->SetLabelSize(0.045);
  graph -> GetXaxis()->SetLabelOffset(0.015);
  graph -> GetYaxis()->SetLabelSize(0.045);
  graph -> GetYaxis()->SetLabelOffset(0.015);
  graph -> GetXaxis()->SetTitleOffset(1.3);
  graph -> GetYaxis()->SetTitleOffset(1.3);
  graph -> Draw("AP");

  TGraphErrors* graph_ttrt = new TGraphErrors(19, x_sim, diffy_ttrt, x_err_sim, diffy_err_ttrt);
  graph_ttrt -> SetLineWidth(2);
  graph_ttrt -> SetLineColor(2);
  graph_ttrt -> Draw("LSAME");

  TGraphErrors* graph_ssht = new TGraphErrors(19, x_sim, diffy_ssht, x_err_sim, diffy_err_ssht);
  graph_ssht -> SetLineWidth(2);
  graph_ssht -> SetLineColor(3);
  graph_ssht -> Draw("LSAME");

  TGraphErrors* graph_sslt = new TGraphErrors(19, x_sim, diffy_sslt, x_err_sim, diffy_err_sslt);
  graph_sslt -> SetLineWidth(2);
  graph_sslt -> SetLineColor(4);
  graph_sslt -> Draw("LSAME");

  TGraphErrors* graph_ffht = new TGraphErrors(19, x_sim, diffy_ffht, x_err_sim, diffy_err_ffht);
  graph_ffht -> SetLineWidth(2);
  graph_ffht -> SetLineColor(6);
  graph_ffht -> Draw("LSAME");

  TGraphErrors* graph_fflt = new TGraphErrors(19, x_sim, diffy_fflt, x_err_sim, diffy_err_fflt);
  graph_fflt -> SetLineWidth(2);
  graph_fflt -> SetLineColor(7);
  graph_fflt -> Draw("LSAME");

  graph -> Draw("PSAME");

  c1 -> Print("fig/comparison_v1_sim.png");
  c1 -> Print("fig/comparison_v1_sim.pdf");
  c1 -> Print("fig/comparison_v1_sim.eps");

  gROOT -> ProcessLine(".q");

  return;

}
