void variabledelay(){

  TCanvas* c1 = new TCanvas("c1", "c1", 600, 600);
  c1 -> SetRightMargin(0.1);
  c1 -> SetLeftMargin(0.2);
  c1 -> SetBottomMargin(0.18);
  c1 -> SetTopMargin(0.1);
  c1 -> SetGrid();
  c1 -> SetGridx();
  c1 -> SetGridy();
  c1 -> Draw("");
  c1 -> cd();

  ifstream input1("txt/190422VariableDelaySTEP20.txt");
  ifstream input2("txt/190422VariableDelaySTEP24.txt");
  ifstream input3("txt/190422VariableDelaySTEP28.txt");
  ifstream input4("txt/190422VariableDelaySTEP32.txt");

  float x[999], x_err[999];
  float y1[999], y1_err[999];
  float y2[999], y2_err[999];
  float y3[999], y3_err[999];
  float y4[999], y4_err[999];

  for(int i = 0; i < 17; i++){
    if(i < 16) x[i] = i*3; else x[i] = 47;
    x_err[i] = 0;
  }

  for(int i = 0; i < 17; i++){
    input1 >> y1[i] >> y1_err[i]; y1[i] = y1[i] * 1e9; y1_err[i] = y1_err[i] * 1e9;
    input2 >> y2[i] >> y2_err[i]; y2[i] = y2[i] * 1e9; y2_err[i] = y2_err[i] * 1e9;
    input3 >> y3[i] >> y3_err[i]; y3[i] = y3[i] * 1e9; y3_err[i] = y3_err[i] * 1e9;
    input4 >> y4[i] >> y4_err[i]; y4[i] = y4[i] * 1e9; y4_err[i] = y4_err[i] * 1e9;
  }

  float y1_0 = y1[0];
  float y2_0 = y2[0];
  float y3_0 = y3[0];
  float y4_0 = y4[0];

  for(int i = 0; i < 17; i++){
    y1[i] -= y1_0;
    y2[i] -= y2_0;
    y3[i] -= y3_0;
    y4[i] -= y4_0;
  }

  TGraphErrors* graph1 = new TGraphErrors(17, x, y1, x_err, y1_err);
  graph1 -> SetMarkerStyle(20);
  graph1 -> SetMarkerSize(1.2);
  graph1 -> SetMarkerColor(4);
  graph1 -> SetTitle(";Delay step;Delay [ns];");
  graph1 -> GetXaxis()->SetLimits(0, 50);
  graph1 -> GetYaxis()->SetRangeUser(0, 60);
  graph1 -> GetYaxis()->SetNdivisions(510);
  graph1 -> GetXaxis()->SetTitleSize(0.06);
  graph1 -> GetYaxis()->SetTitleSize(0.06);
  graph1 -> GetXaxis()->SetLabelSize(0.045);
  graph1 -> GetXaxis()->SetLabelOffset(0.015);
  graph1 -> GetYaxis()->SetLabelSize(0.045);
  graph1 -> GetYaxis()->SetLabelOffset(0.015);
  graph1 -> GetXaxis()->SetTitleOffset(1.3);
  graph1 -> GetYaxis()->SetTitleOffset(1.3);

  TGraphErrors* graph2 = new TGraphErrors(17, x, y2, x_err, y2_err);
  graph2 -> SetMarkerStyle(22);
  graph2 -> SetMarkerSize(1.2);
  graph2 -> SetMarkerColor(2);

  TGraphErrors* graph3 = new TGraphErrors(17, x, y3, x_err, y3_err);
  graph3 -> SetMarkerStyle(24);
  graph3 -> SetMarkerSize(1.2);
  graph3 -> SetMarkerColor(8);

  TGraphErrors* graph4 = new TGraphErrors(17, x, y4, x_err, y4_err);
  graph4 -> SetMarkerStyle(26);
  graph4 -> SetMarkerSize(1.2);
  graph4 -> SetMarkerColor(1);

  graph1 -> Draw("AP");
  graph1 -> Fit("pol1");
  graph1 -> GetFunction("pol1") -> SetLineColor(4);
  graph1 -> GetFunction("pol1") -> SetLineStyle(7);

  graph2 -> Draw("P");
  graph2 -> Fit("pol1");
  graph2 -> GetFunction("pol1") -> SetLineColor(2);
  graph2 -> GetFunction("pol1") -> SetLineStyle(7);

  graph3 -> Draw("P");
  graph3 -> Fit("pol1");
  graph3 -> GetFunction("pol1") -> SetLineColor(8);
  graph3 -> GetFunction("pol1") -> SetLineStyle(7);

  graph4 -> Draw("P");
  graph4 -> Fit("pol1");
  graph4 -> GetFunction("pol1") -> SetLineColor(1);
  graph4 -> GetFunction("pol1") -> SetLineStyle(7);

  graph1 -> Draw("P");
  graph2 -> Draw("P");
  graph3 -> Draw("P");
  graph4 -> Draw("P");

  c1 -> Print("fig/variabledelay.png");
  c1 -> Print("fig/variabledelay.pdf");
  c1 -> Print("fig/variabledelay.eps");
  c1 -> Print("fig/variabledelay.C");

  gROOT -> ProcessLine(".q");

  return;

}
