/* 
 * File:   first_test_for_spi.c
 * Author: nuhepl
 *
 * Created on 2018/02/26, 13:29
 */

// PIC16F1459 Configuration Bit Settings

// 'C' source line config statements

// CONFIG1
#pragma config FOSC = INTOSC    // Oscillator Selection Bits (INTOSC oscillator: I/O function on CLKIN pin)
#pragma config WDTE = OFF       // Watchdog Timer Enable (WDT disabled)
#pragma config PWRTE = ON       // Power-up Timer Enable (PWRT enabled)
#pragma config MCLRE = OFF    // MCLR Pin Function Select (MCLR/VPP pin function is MCLR)
#pragma config CP = OFF         // Flash Program Memory Code Protection (Program memory code protection is disabled)
#pragma config BOREN = ON      // Brown-out Reset Enable (Brown-out Reset disabled)
#pragma config CLKOUTEN = OFF   // Clock Out Enable (CLKOUT function is disabled. I/O or oscillator function on the CLKOUT pin)
#pragma config IESO = OFF       // Internal/External Switchover Mode (Internal/External Switchover Mode is disabled)
#pragma config FCMEN = OFF      // Fail-Safe Clock Monitor Enable (Fail-Safe Clock Monitor is disabled)

// CONFIG2
#pragma config WRT = OFF        // Flash Memory Self-Write Protection (Write protection off)
#pragma config CPUDIV = CLKDIV6 // CPU System Clock Selection Bit (CPU system clock divided by 6)
#pragma config USBLSCLK = 48MHz // USB Low SPeed Clock Selection bit (System clock expects 48 MHz, FS/LS USB CLKENs divide-by is set to 8.)
#pragma config PLLMULT = 3x     // PLL Multipler Selection Bit (3x Output Frequency Selected)
#pragma config PLLEN = DISABLED // PLL Enable Bit (3x or 4x PLL Disabled)
#pragma config STVREN = OFF     // Stack Overflow/Underflow Reset Enable (Stack Overflow or Underflow will not cause a Reset)
#pragma config BORV = LO        // Brown-out Reset Voltage Selection (Brown-out Reset Voltage (Vbor), low trip point selected.)
#pragma config LPBOR = OFF      // Low-Power Brown Out Reset (Low-Power BOR is disabled)
#pragma config LVP = OFF        // Low-Voltage Programming Enable (High-voltage on MCLR/VPP must be used for programming)

// #pragma config statements should precede project file includes.
// Use project enums instead of #define for ON and OFF.

#include <xc.h>

#define _XTAL_FREQ 4000000    // delay????(????2MHz???)
const char omajinai[] = "ugoke" ; // ?????????????


unsigned char dumy,Byte1,Byte2,Byte3,Byte4,Byte5,Byte6,Byte7,Byte8,Byte9,Byte10,Byte11,Byte12,Byte13,Byte14,Byte15,Byte16,
                   Byte17,Byte18,Byte19,Byte20,Byte21,Byte22,Byte23,Byte24,Byte25,Byte26,Byte27,Byte28;
unsigned char Data1,Data2,Data3,Data4,Data5,Data6,Data7,Data8,Data9,Data10,Data11,Data12,Data13,Data14,Data15,Data16,
                   Data17,Data18,Data19,Data20,Data21,Data22,Data23,Data24,Data25,Data26,Data27,Data28;
unsigned char SPIRead(unsigned char Data);
/*
 * 
 */
void main(void){
    OSCCON = 0b00110110;//4 MHz internalclk
    
    ANSELA = 0x00;// Degital I/O on portA
    ANSELB = 0x00;// Degital I/O on portB 
    ANSELC = 0x00;// Degital I/O on portC
    TRISA = 0x00; 
    TRISB = 0b00110000; // output except RB4
    TRISC = 0b00100000; // RC7 - RC0 output
   
    //spi mode select
    APFCONbits.SSSEL = 0;// set RC6 for ss
    SSP1CON1 = 0b00100000;//WCOL 0 SSPOV 0 SSPEN 1 CKP 0 clock Fosc/16
    SSP1STATbits.SMP = 0;
    SSP1STATbits.CKE = 1;
    SSP1IF = 0; //spi ???????????
    SSP1IE = 0;//SPI??????
  //  BOEN = 1; //SSP1BUF??????
  //  PEIE = 1;//???????????
  //  GIE = 1;//?????????
  
  /*Group B*/
   Byte1 = 0x00;//0b00000000;
   Byte2 = 0x01;//0b00000001;
   Byte3 = 0x90;//0b10010000;
   Byte4 = 0xBF;//0b10111111;
   Byte5 = 0x80;//0b10000000;
   Byte6 = 0x2F;//0b00101111;
   //Byte5 = 0x97;//0b10010111;
   //Byte6 = 0xAF;//0b10101111;
   Byte7 = 0xFF;//0b11111111;
   Byte8 = 0xFF;//;0b11111111;
   Byte9 = 0xFF;//0b11111111;
   Byte10 = 0xFF;//0b11111111;
   Byte11 = 0x00;//0b00000000;
   Byte12 = 0x00;//0b00000000;
  /*Group A*/
   Byte13 = 0x00;//0b00000000;
   Byte14 = 0x01;//0b00000001;
   Byte15 = 0x90;//0b10010000;
   Byte16 = 0xBF;//0b10111111;
   Byte17 = 0x80;//0b10000000;
   Byte18 = 0x2F;//0b00101111;
   Byte19 = 0xFF;//0b11111111;
   Byte20 = 0xFF;//0b11111111;
   Byte21 = 0xFF;//0b11111111;
   Byte22 = 0xFF;//0b11111111;
   Byte23 = 0x00;//0b00000000;
   Byte24 = 0x00;//0b00000000;
/*PLL*/
   Byte25 = 0xBF;//0b10111111;
/*Common*/
   Byte26 = 0x01;//0b00000001;
   Byte27 = 0x94;//0b10010100;
   Byte28 = 0x47;//0b01000111;

   // int i;
    //unsigned char dumy;
    /*main loop*/
   
   while(1){  
           RB5 = 1;
              if(RC5 == 0){
              RC6 = 0;
              RC0 = 0; 
              Data1 = SPIRead(Byte1);
              Data2 = SPIRead(Byte2);
              Data3 = SPIRead(Byte3);
              Data4 = SPIRead(Byte4);
              Data5 = SPIRead(Byte5);
              Data6 = SPIRead(Byte6);
              Data7 = SPIRead(Byte7);
              Data8 = SPIRead(Byte8);
              Data9 = SPIRead(Byte9);
              Data10 = SPIRead(Byte10);
              Data11 = SPIRead(Byte11);
              Data12 = SPIRead(Byte12);
              Data13 = SPIRead(Byte13);
              Data14 = SPIRead(Byte14);
              Data15 = SPIRead(Byte15);
              Data16 = SPIRead(Byte16);
              Data17 = SPIRead(Byte17);
              Data18 = SPIRead(Byte18);
              Data19 = SPIRead(Byte19);
              Data20 = SPIRead(Byte20);
              Data21 = SPIRead(Byte21);
              Data22 = SPIRead(Byte22);
              Data23 = SPIRead(Byte23);
              Data24 = SPIRead(Byte24);
              Data25 = SPIRead(Byte25);
              Data26 = SPIRead(Byte26);
              Data27 = SPIRead(Byte27);
              Data28 = SPIRead(Byte28);
              RC6 = 1;
              while(RC5 == 0);
              __delay_ms(50);
              RC0 = 1; 
              }
   }
    /*
  while(1){
        SPIWrite(adrs,data);
        __delay_ms(100);
    }
     */
}
/***********************************************
 * spi 1 byte read
 * ****************/
unsigned char SPIRead(unsigned char Data){
    unsigned char dumy;

    dumy = SSPBUF;
    SSPBUF = Data;
    while(!SSPSTATbits.BF);
    return(SSPBUF);
}

